import { Option } from './option';
export declare class OptionList {
    private _options;
    private _selection;
    private _filtered;
    private _value;
    private _highlightedOption;
    constructor(options: Array<any>);
    /**************************************************************************
     * Options.
     *************************************************************************/
    readonly options: Array<Option>;
    getOptionsByValue(value: string): Array<Option>;
    /**************************************************************************
     * Value.
     *************************************************************************/
    value: Array<string>;
    /**************************************************************************
     * Selection.
     *************************************************************************/
    readonly selection: Array<Option>;
    select(option: Option, multiple: boolean): void;
    deselect(option: Option): void;
    clearSelection(): void;
    /**************************************************************************
     * Filter.
     *************************************************************************/
    readonly filtered: Array<Option>;
    filter(term: string): void;
    resetFilter(): void;
    /**************************************************************************
     * Highlight.
     *************************************************************************/
    readonly highlightedOption: Option;
    highlight(): void;
    highlightOption(option: Option): void;
    highlightNextOption(): void;
    highlightPreviousOption(): void;
    private clearHighlightedOption();
    private getHighlightedIndexFromList(options);
    getHighlightedIndex(): number;
    /**************************************************************************
     * Util.
     *************************************************************************/
    hasShown(): boolean;
    hasSelected(): boolean;
    hasShownSelected(): boolean;
    private getFirstShown();
    private getFirstShownSelected();
}
